xtow(1)

NAME
xtow - An X Compositing Window Manager for Microsoft Windows

SYNOPSIS
xtow [ options ]

DESCRIPTION
xtow is a Compositing Window Manager for the X Window System running on Microsoft Windows. xtow is designed to connect to a headless X server which supports the Composite extension, for example, Xorg(1) using the xf86-video-dummy driver, and will draw the contents of X windows from that X server into native Windows windows.

OPTIONS
xtow accepts the following command line switches, all of which are optional:

-display [display]
    Specifies the X server display to connect to.

-help
    List these options and exit.

-noblur
    Do not use the DWM glass effect to blur the image beneath transparent areas. (Windows Vista and Window 7 only)

-nodwm
    Do not use DWM, even if available (Windows Vista or later). per-pixel transparency will not be supported.

-noshm
    Do not use MIT-SHM to transfer window images from the X server, even if available.

-verbose
    Output verbose debugging information. Multiple -verbose options increase verbosity.

-version
    Display the version number and exit.

WINDOW PROPERTIES
Partial conformance to ICCCM and EWMH standards. The widely used but non-standard _NET_WM_WINDOW_OPACITY window property (which can be set by e.g. transset(1)), controls the transparency of a window, with 0 being transparent and 0xffffffff being opaque.

SEE ALSO
XWin(1).

BUGS
Lots. This is a prototype for testing libXcwm at this stage.

AUTHORS
xtow was written by Jon Turney. It uses libXcwm to do most of the heavy lifting of tracking X windows and talking xcb to the X server, and re-uses most of the code from XWin(1)'s integrated window manager for managing the native windows.